function [ic,varargout]=mcmcic(data,mcmcout)     
% Compute information from MCMC draws for a finite mixture model 

% Author: Sylvia Fruehwirth-Schnatter
% Last change: September 5, 2006

%  maximum of the mixture likelihood 


[logm is]=sort(mcmcout.log.mixlik);  % approximate ML estimator
loglikmax=logm(end);
mldraw=is(end);
entropy_ml=mcmcout.entropy(mldraw);  end
  
 
ic.loglikmax=loglikmax;

[logpm is]=sort(mcmcout.log.mixlik+mcmcout.log.mixprior);  % approximate posterior mode estimator
pmdraw=is(end);
if mix.K>1     entropy_pm=mcmcout.entropy(pmdraw);  end
loglikpm=mcmcout.log.mixlik(pmdraw);  % log likelihood




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ic.loglikmax=loglikmax;
ic.aic= -2*loglikmax+2*dk;
ic.bic= -2*loglikmax+log(data.N)*dk;
ic.bicpm= -2*loglikpm+log(data.N)*dk;
ic.bicmc=-2*mean(mcmcout.log.mixlik)+dk*(log(data.N)-1);
ic.iclbic_ml= ic.bic+2*entropy_ml;
ic.iclbic_pm= ic.bicpm+2*entropy_pm;


ic.awe=ic.iclbic_ml+(3/2+log(data.N))*dk;
ic.d=dk;
mcmcout.ic=ic;
  